Retrieve a counter group
Returns a single counter group by its internal ID or external reference.
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/counter-groups/{counterGroupReference}
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-counter-groups.read
URL parameters
| Parameter | Description |
|---|---|
{counterGroupReference} |
The internal ID or external reference of the counter group. |
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Internal unique identifier for the counter group. |
name.default |
string | — | Read-only | Default name value of the counter group. |
name.translations |
object | — | Read-only | A list of translated names of the counter group by language code. |
External references
The endpoint supports custom external references for the counter-groups collection. No predefined external references are available. See the external references page for details.
Caution
There are some restrictions on the characters allowed in URL requests. See the fetching resources page for more information.
Error responses
| Status | Condition |
|---|---|
400 |
Invalid external reference key |
401 |
Missing or invalid access token, or insufficient scope |
404 |
Counter group with the given ID does not exist |
Examples
Retrieving a counter group by internal ID
Example with internal ID 2:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/counter-groups/2
With custom external reference
Example with custom external reference OVERTIME-GROUP:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/counter-groups/OVERTIME-GROUP?externalReferences=(counter-groups,customCounterGroupCode)